
TYPO3.Flow - Bug # 10701

Status: Closed Priority: Must have
Author: Christian Lerrahn Category: Persistence
Created: 2010-11-10 Assigned To: Karsten Dambekalns
Updated: 2011-12-15 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: F3\FLOW3\Persistence\Exception thrown in file DataMapper.php
Description

I get the following exception when trying to render a view of my model. The model is very similar to another model
which works. I can't see any structural difference between the views, either.

What is going wrong here? Is this a problem in Fluid or in FLOW3? I can't even tell. :(

I'm sorry if the information I'm providing is not sufficient. Please ask if you need more specific information.

The object of type "F3\UtilityMeterReconciliation\Domain\Model\Meter" is not marked as lazy loadable.
74 F3\FLOW3\Persistence\DataMapper::mapToObject(array)
73 F3\FLOW3\Persistence\DataMapper::mapToObjects(array)
72 F3\FLOW3\Persistence\QueryResult::initialize()
71 F3\FLOW3\Persistence\QueryResult::rewind()
70 F3\Fluid\ViewHelpers\ForViewHelper::render(F3\FLOW3\Persistence\QueryResult, "meter", "", boolean, NULL)
69 call_user_func_array(array, array)
68 F3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod(array)
67 F3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender(array)
66 F3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode::evaluate(F3\Fluid\Core\Rendering\RenderingContext)
65 F3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(F3\Fluid\Core\Rendering\RenderingContext)
64 F3\Fluid\Core\ViewHelper\AbstractViewHelper::renderChildren()
63 F3\Fluid\ViewHelpers\FormViewHelper::render("csv", array, "Meter", NULL, NULL, NULL, "", "", array, boolean, boolean, array,
NULL, NULL, NULL)
62 call_user_func_array(array, array)
61 F3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod(array)
60 F3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender(array)
59 F3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode::evaluate(F3\Fluid\Core\Rendering\RenderingContext)
58 F3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(F3\Fluid\Core\Rendering\RenderingContext)
57 F3\Fluid\Core\ViewHelper\AbstractViewHelper::renderChildren()
56 F3\Fluid\Core\ViewHelper\AbstractConditionViewHelper::renderThenChild()
55 F3\Fluid\ViewHelpers\IfViewHelper::render(boolean)
54 call_user_func_array(array, array)
53 F3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod(array)
52 F3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender(array)
51 F3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode::evaluate(F3\Fluid\Core\Rendering\RenderingContext)
50 F3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(F3\Fluid\Core\Rendering\RenderingContext)
49 F3\Fluid\Core\ViewHelper\AbstractViewHelper::renderChildren()
48 F3\Fluid\ViewHelpers\SectionViewHelper::render()
47 call_user_func_array(array, array)
46 F3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod(array)
45 F3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender(array)
44 F3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode::evaluate(F3\Fluid\Core\Rendering\RenderingContext)
43 F3\Fluid\View\AbstractTemplateView::renderSection("contentRight", array)
42 F3\Fluid\ViewHelpers\RenderViewHelper::render("contentRight", NULL, array)
41 call_user_func_array(array, array)
40 F3\Fluid\Core\ViewHelper\AbstractViewHelper::callRenderMethod(array)
39 F3\Fluid\Core\ViewHelper\AbstractViewHelper::initializeArgumentsAndRender(array)
38 F3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode::evaluate(F3\Fluid\Core\Rendering\RenderingContext)
37 F3\Fluid\Core\Parser\SyntaxTree\AbstractNode::evaluateChildNodes(F3\Fluid\Core\Rendering\RenderingContext)
36 F3\Fluid\Core\Parser\SyntaxTree\RootNode::evaluate(F3\Fluid\Core\Rendering\RenderingContext)
35 F3\Fluid\Core\Parser\ParsingState::render(F3\Fluid\Core\Rendering\RenderingContext)
34 F3\Fluid\View\AbstractTemplateView::render()
33 F3\FLOW3\MVC\Controller\ActionController::callActionMethod()
32 F3\UtilityMeterReconciliation\Controller\Meter\MeterController_AOPProxy_Development::callActionMethod()
31 call_user_func_array(array, array)
30
F3\UtilityMeterReconciliation\Controller\Meter\MeterController_AOPProxy_Development::FLOW3_AOP_Proxy_invokeJoinPoint(F3\FLOW
OW3\AOP\JoinPoint)
29 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
28 F3\FLOW3\Security\Aspect\PolicyEnforcementAspect::enforcePolicy(F3\FLOW3\AOP\JoinPoint)
27 F3\FLOW3\AOP\Advice\AroundAdvice::invoke(F3\FLOW3\AOP\JoinPoint)
26 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
25 F3\UtilityMeterReconciliation\Controller\Meter\MeterController_AOPProxy_Development::callActionMethod()
24 F3\FLOW3\MVC\Controller\ActionController::processRequest(F3\FLOW3\MVC\Web\Request, F3\FLOW3\MVC\Web\Response)
23
F3\UtilityMeterReconciliation\Controller\Meter\MeterController_AOPProxy_Development::processRequest(F3\FLOW3\MVC\Web\Reque
uest, F3\FLOW3\MVC\Web\Response)
22 call_user_func_array(array, array)
21
F3\UtilityMeterReconciliation\Controller\Meter\MeterController_AOPProxy_Development::FLOW3_AOP_Proxy_invokeJoinPoint(F3\FLOW
OW3\AOP\JoinPoint)
20 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
19 F3\FLOW3\Security\Aspect\PolicyEnforcementAspect::enforcePolicy(F3\FLOW3\AOP\JoinPoint)
18 F3\FLOW3\AOP\Advice\AroundAdvice::invoke(F3\FLOW3\AOP\JoinPoint)
17 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
16
F3\UtilityMeterReconciliation\Controller\Meter\MeterController_AOPProxy_Development::processRequest(F3\FLOW3\MVC\Web\Reque
uest, F3\FLOW3\MVC\Web\Response)
15 F3\FLOW3\MVC\Dispatcher::dispatch(F3\FLOW3\MVC\Web\Request, F3\FLOW3\MVC\Web\Response)
14 F3\FLOW3\MVC\Dispatcher_AOPProxy_Development::dispatch(F3\FLOW3\MVC\Web\Request,
F3\FLOW3\MVC\Web\Response)
13 call_user_func_array(array, array)
12 F3\FLOW3\MVC\Dispatcher_AOPProxy_Development::FLOW3_AOP_Proxy_invokeJoinPoint(F3\FLOW3\AOP\JoinPoint)
11 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
10
F3\FLOW3\Security\Aspect\RequestDispatchingAspect::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(F3\FLOW3\AOP\
P\JoinPoint)
9 F3\FLOW3\AOP\Advice\AroundAdvice::invoke(F3\FLOW3\AOP\JoinPoint)
8 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
7 F3\FLOW3\Security\Aspect\RequestDispatchingAspect::initializeSecurity(F3\FLOW3\AOP\JoinPoint)
6 F3\FLOW3\AOP\Advice\AroundAdvice::invoke(F3\FLOW3\AOP\JoinPoint)
5 F3\FLOW3\AOP\Advice\AdviceChain::proceed(F3\FLOW3\AOP\JoinPoint)
4 F3\FLOW3\MVC\Dispatcher_AOPProxy_Development::dispatch(F3\FLOW3\MVC\Web\Request, F3\FLOW3\MVC\Web\Response)
3 F3\FLOW3\MVC\Web\RequestHandler::handleRequest()
2 F3\FLOW3\Core\Bootstrap::run()
1 require("/home/umr_test/FLOW3-1.0.0-alpha12-build42/Packages/Framework/FLOW3/Scripts/FLOW3.php")

History
#1 - 2010-11-12 16:01 - Karsten Dambekalns
- Category set to Persistence
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

It seems you have a property marked as @lazy but the corresponding entity is not marked as @lazy on the class-level. Is that correct?

#2 - 2010-11-22 06:29 - Christian Lerrahn

No. I didn't even know the keyword @lazy until you mentioned it ;)

flow3-test:/var/www/foo/Packages/Application/UtilityMeterReconciliation# grep -ir lazy *
Resources/Public/javascript/jquery-ui/development-bundle/docs/tabs.html:    <p>Whether or not to cache remote tabs content, e.g. load only once or
with every click. Cached content is being lazy loaded, e.g once and only once for the first click. Note that to prevent the actual Ajax requests from being
cached by the browser you need to provide an extra cache: false flag to ajaxOptions.</p>

No @lazy anywhere in the package. :(

#3 - 2010-11-22 12:48 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted

#4 - 2010-12-08 04:50 - Christian Lerrahn

This is just a heads up on this bug report. 
I updated my FLOW3 to the latest git version and still see the same problem.

#5 - 2010-12-21 13:49 - Karsten Dambekalns

I recently saw this behaviour while tracking down another problem. If an object is persisted but has no property data stored, it looks for the
DataMapper as if lazy-loading is requested.

Either the model has no properties (I doubt that) or something is wrong in the persisted data. It would be good if you could track the data that belongs
to an affected instance.

#6 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#7 - 2011-12-15 18:02 - Karsten Dambekalns
- Status changed from Accepted to Closed
- Has patch set to No

Closing this one due to bit rot setting in...
